Bug 1002571 - Drools plugin uses Juno as target platform
Drools plugin uses Juno as target platform
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
Unspecified Unspecified
unspecified Severity urgent
: ER4
: 6.0.0
Assigned To: Kris Verlaenen
Tomas Schlosser
Depends On:
  Show dependency treegraph
Reported: 2013-08-29 09:04 EDT by Tomas Schlosser
Modified: 2014-08-06 16:15 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-08-06 16:15:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomas Schlosser 2013-08-29 09:04:22 EDT
Description of problem:
The plugin is compiled with JBoss Tools 4.0.0 as a target platfor, we should target 4.1.x since BRMS is intended to work with JBDS 7.

Version-Release number of selected component (if applicable):
JBoss Drools Core org.drools.eclipse.feature.feature.group

Steps to Reproduce:
1. install the plugin
2. check update sites

Actual results:
all the update sites imported by plugin are for Eclipse Juno

Expected results:
Eclipse Kepler update sites

Additional info:
Also some internal classes used by Drools Plugin changed between Juno and Kepler so debugging throws exception that can't be seen on Juno.
Comment 1 Tomas Schlosser 2013-08-29 09:05:10 EDT
I have submitted a pull request with required changes https://github.com/droolsjbpm/droolsjbpm-tools/pull/25 Please review it and merge it.
Comment 5 Tomas Schlosser 2014-01-15 06:30:59 EST
Verified with Drools plugin 6.0.1.Final

Note You need to log in before you can comment on or make changes to this bug.